#!/bin/sh
cd /usr/local/src/VDR
CHANGED=0

if [ "$(patch -f --dry-run /usr/local/src/VDR/timers.h < /_config/update/patches/up06.vdr-switchtimer.diff | grep FAILED)" = "" ] ; then
   patch -f timers.h < /_config/update/patches/up06.vdr-switchtimer.diff 
   make all
   CHANGED=1
fi   

if [ "$(grep "^DVDCHAPJUMP" Make.config)" != "" ] ; then
   sed -i Make.config -e "s/^DVDCHAPJUMP.*/#DVDCHAPJUMP = 1/"
   FILES_TO_CHANGE="$(grep -H -m1 USE_DVDCHAPJUMP *.c *.h | cut -f 1 -d ":")"
   touch $FILES_TO_CHANGE
   CHANGED=1
fi   
if [ "$(grep "esyslog(\"TIM" /usr/local/src/vdr-1.5.12/timers.c)" != "" ] ; then
   sed -i /usr/local/src/vdr-1.5.12/timers.c -e "/.*esyslog(\"TIMER.*/d"
   if [ "$(readlink /usr/local/src/VDR |grep "vdr-1.5.12")" != "" ] ; then
      CHANGED=1
   fi      
fi

[ "$CHANGED" = "1" ] && make

if [ "$(patch -f --dry-run /usr/local/src/VDR/PLUGINS/src/skinelchi/DisplayMenu.c < /_config/update/patches/up06.vdrplg-skinelchi.diff | grep FAILED)" = "" ] ; then
   cd /usr/local/src/VDR/PLUGINS/src/skinelchi
   patch -f DisplayMenu.c < /_config/update/patches/up06.vdrplg-skinelchi.diff 
   make all
   CHANGED=1
fi   
   
[ "$CHANGED" = "1" ] && /_config/bin/instvdr.sh
